Main Page Widgets glibmm Namespaces Book

# thread.h File Reference

## Namespaces
namespace | Glib
## Classes
class | Glib::ThreadError
| Exception class for thread-related errors. More...
class | Glib::Thread
| Represents a running thread. More...
class | Glib::Thread::Exit
| Exception class used to exit from a thread. More...
struct | Glib::StaticMutex
| Like Glib::Mutex, but can be defined at compile time. More...
class | Glib::Mutex
| Represents a mutex (mutual exclusion). More...
class | Glib::Mutex::Lock
| Utility class for exception-safe mutex locking. More...
struct | Glib::StaticRecMutex
| Like Glib::RecMutex, but can be defined at compile time. More...
class | Glib::RecMutex
class | Glib::RecMutex::Lock
| Utility class for exception-safe locking of recursive mutexes. More...
struct | Glib::StaticRWLock
| Like Glib::RWLock, but can be defined at compile time. More...
class | Glib::RWLock
class | Glib::RWLock::ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::RWLock::WriterLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::Cond
| An opaque data structure to represent a condition. More...
struct | Glib::StaticPrivate<T>
class | Glib::Private<T>
## Defines
#define | GLIBMM_STATIC_MUTEX_INIT
| Initializer macro for Glib::StaticMutex.
#define | GLIBMM_STATIC_REC_MUTEX_INIT
| Initializer macro for Glib::StaticRecMutex.
#define | GLIBMM_STATIC_RW_LOCK_INIT
| Initializer macro for Glib::StaticRWLock.
#define | GLIBMM_STATIC_PRIVATE_INIT
| Initializer macro for Glib::StaticPrivate.
## Enumerations
enum | Glib::ThreadPriority { Glib::THREAD_PRIORITY_LOW, Glib::THREAD_PRIORITY_NORMAL, Glib::THREAD_PRIORITY_HIGH, Glib::THREAD_PRIORITY_URGENT }
enum | Glib::NotLock { Glib::NOT_LOCK }
enum | Glib::TryLock { Glib::TRY_LOCK }
## Functions
void | Glib::thread_init (GThreadFunctions* vtable=0)
| Initializes the GLib thread system.
bool | Glib::thread_supported ()
| Returns whether the thread system is initialized.

## Define Documentation

#define GLIBMM_STATIC_MUTEX_INIT`[related]`

Initializer macro for Glib::StaticMutex.

#define GLIBMM_STATIC_PRIVATE_INIT`[related]`

Initializer macro for Glib::StaticPrivate.

#define GLIBMM_STATIC_REC_MUTEX_INIT`[related]`

Initializer macro for Glib::StaticRecMutex.

#define GLIBMM_STATIC_RW_LOCK_INIT`[related]`

Initializer macro for Glib::StaticRWLock.